return {
	{
		'mfussenegger/nvim-dap',
		lazy = true,
		dependencies = { 'nvim-lua/plenary.nvim' },
		config = function()
			local wk = require("which-key")
			local dap = require("dap")
			wk.add({
				{ '<leader>d',  group = "dap" },
				{ '<leader>db', dap.toggle_breakpoint, desc = "Toggle breakpoint" },
				{ '<leader>dc', dap.continue,          desc = "Launch/resume debug session" },
				{ '<leader>do', dap.step_over,         desc = "Step over" },
				{ '<leader>di', dap.step_into,         desc = "Step into" },
				{ '<leader>du', dap.step_out,          desc = "Step out" },
			})
		end
	},
	{
		'rcarriga/nvim-dap-ui',
		lazy = true,
		config = function()
			local dapui = require("dapui")
			dapui.setup()
			local wk = require("which-key")
			wk.add({
				{ '<leader>dd', dapui.toggle, desc = "Toggle dap ui" }
			})
		end,
		dependencies = { 'mfussenegger/nvim-dap', 'nvim-neotest/nvim-nio' }
	},
	{
		'theHamsta/nvim-dap-virtual-text',
		lazy = true,
		config = true
	}
}
